/*
 * @Date: 2024-09-25 11:14:29
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-11-04 08:57:09
 */
import request from '@/utilsRc/request'

// 查询角色列表
export function listSkillTrain(query) {
  return request({
    url: '/process/processSkillTraining/list',
    method: 'get',
    params: query
  })
}

// 查询角色详细
export function getSkillTrain(ids) {
  return request({
    url: '/process/processSkillTraining/' + ids,
    method: 'get'
  })
}

// 新增角色
export function addSkillTrain(data) {
  return request({
    url: '/process/processSkillTraining',
    method: 'post',
    data: data
  })
}

// 修改角色
export function updateSkillTrain(data) {
  return request({
    url: '/process/processSkillTraining',
    method: 'put',
    data: data
  })
}

// 删除角色
export function delSkillTrain(ids) {
  return request({
    url: '/process/processSkillTraining/' + ids,
    method: 'delete'
  })
}

